{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <title>Mata Kuliah</title>
{% endblock %}
{% block content %}
    <div class="container">
        <div class="row text-light p-5 mt-5">
            <div class="col">
                <h4 class="display-3">Mata Kuliah</h4>
            </div>
        </div>
        <div class="row">
            <div class="col text-white">
                <table class="p-2 m-2">
                    <tr class="p-2 m-2">
                        <th class="p-2 m-2">Mata Kuliah</th>
                        <th class="p-2 m-2">SKS</th>
                        <th class="p-2 m-2">Action</th>
                    </tr>
                    {% for matkul in list_matkul %}
                        <tr class="p-2 m-2">
                            <td class="p-2 m-2">{{ matkul.nama_matakuliah }}</td>
                            <td class="p-2 m-2">{{ matkul.sks }}</td>
                            <td class="p-2 m-2">
                                <form method="POST" enctype="multipart/form-data" action="{% url 'matakuliah:delete_matkul' %}">
                                    {% csrf_token %}
                                    <input type="hidden" name="matkul_id" value="{{ matkul.id }}">
                                    <input type="submit" value="Delete">
                                </form>
                            </td>
                            <td>
                                <form method="GET" enctype="multipart/form-data" action="{% url 'matakuliah:detail_matkul' matkul.id  %}">
                                    {% csrf_token %}

                                    <input type="submit" value="Detail">
                                </form>
                            </td>
                        </tr>
                    {% endfor %}
                    <tr>
                        <td class="p-3 m-3"><h3>Total SKS</h3></td>
                        <td class="p-3 m-3"><h3>{{ total_sks }}</h3></td>
                    </tr>
                </table>

            </div>
        </div>
        <div class="row text-light">
            <div class="col">
                <a href="{% url 'matakuliah:create_matkul' %}"><h3>Tambah Matakuliah</h3></a>
            </div>
        </div>
    </div>
{% endblock %}